using System;
using System.Collections.Generic;
using UnityEngine;

[Serializable]
public class OVRLipSyncSequence : ScriptableObject
{
	public OVRLipSync.Frame GetFrameAtTime(float time)
	{
		OVRLipSync.Frame result = null;
		if (time < this.length && this.entries.Count > 0)
		{
			float num = time / this.length;
			result = this.entries[(int)((float)this.entries.Count * num)];
		}
		return result;
	}

	public List<OVRLipSync.Frame> entries = new List<OVRLipSync.Frame>();

	public float length;
}
